Index: trunk/example/marisa.conf
===================================================================
--- trunk/example/marisa.conf	(revision 65)
+++ trunk/example/marisa.conf	(revision 65)
@@ -0,0 +1,36 @@
+# TCP or unix Socket to listen on.
+# When unix sockets are used, the content will be served over FastCGI.
+#listen = /var/run/marisa-fcgi.sock
+listen = 127.0.0.1:9000
+
+# Base to use when constructing URI to files uploaded.
+# The full URI must be specified, in the form SCHEME://HOST[:PORT]
+baseuri = http://127.0.0.1:9000
+
+# Drop privilege to the user and group specified.
+# When only the user is specified, the default group of the user will
+# be used.
+#user = www
+#group = daemon
+
+# Change the root directory to the following directory.
+# When a chroot is set, all path must be given according to the chroot.
+# Note: the configuration file is read before chrooting.
+#chroot = /var/www
+
+# Path to the different path used by the server. Must take into account
+# the chroot if set.
+rootdir = static
+tmplpath = templates
+filepath = files
+metapath = meta
+
+# URI context that files will be served on
+filectx = /f/
+
+# Maximum per-file upload size (in bytes)
+maxsize = 536870912 # 512Mib
+
+# Default expiration time (in seconds). An expiration time of 0 seconds
+# means no expiration.
+expiry = 86400 # 24 hours
Index: trunk/example/partage.conf
===================================================================
--- trunk/example/partage.conf	(revision 57)
+++ 	(revision )
@@ -1,36 +1,0 @@
-# TCP or unix Socket to listen on.
-# When unix sockets are used, the content will be served over FastCGI.
-#listen = /var/run/partage-fcgi.sock
-listen = 127.0.0.1:9000
-
-# Base to use when constructing URI to files uploaded.
-# The full URI must be specified, in the form SCHEME://HOST[:PORT]
-baseuri = http://127.0.0.1:9000
-
-# Drop privilege to the user and group specified.
-# When only the user is specified, the default group of the user will
-# be used.
-#user = www
-#group = daemon
-
-# Change the root directory to the following directory.
-# When a chroot is set, all path must be given according to the chroot.
-# Note: the configuration file is read before chrooting.
-#chroot = /var/www
-
-# Path to the different path used by the server. Must take into account
-# the chroot if set.
-rootdir = example/static
-tmplpath = example/templates
-filepath = example/files
-metapath = example/meta
-
-# URI context that files will be served on
-filectx = /f/
-
-# Maximum per-file upload size (in bytes)
-maxsize = 536870912 # 512Mib
-
-# Default expiration time (in seconds). An expiration time of 0 seconds
-# means no expiration.
-expiry = 86400 # 24 hours
Index: trunk/example/static/marisa_98.css
===================================================================
--- trunk/example/static/marisa_98.css	(revision 65)
+++ trunk/example/static/marisa_98.css	(revision 65)
@@ -0,0 +1,90 @@
+body {
+    padding: 5%;
+    margin: auto;
+    max-width: 540px;
+    font-family: sans-serif;
+    font-size: 1.5rem;
+    text-align: center;
+    background-color: #550000;
+    color: #ff4444;
+}
+
+header {
+    display: flex;
+    flex-direction: column;
+    flex-wrap: wrap-reverse;
+    align-items: center;
+    align-content: center;
+}
+
+section {
+    display: flex;
+    justify-content: flex-end;
+    font-size: initial;
+}
+
+section#formsettings > * {
+    margin-top: 20px;
+    margin-left: 20px;
+}
+
+img#logo {
+    height: 100%;
+    max-height: 30vh;
+}
+
+h1 {
+    font-size: 4.0rem;
+}
+
+#uploads {
+    display: flex;
+    flex-direction: column;
+    align-items: center;
+    justify-content: center;
+}
+
+#uploads > ul {
+    list-style: none;
+    text-align: left;
+    padding: 0;
+}
+
+#uploads > button {
+    align-self: flex-end;
+    margin-right: 10%;
+}
+
+.dropzone {
+    padding-top: 60px;
+    padding-bottom: 60px;
+    border: 2px dashed #888888;
+    border-radius: 8px;
+    text-align: center;
+    margin: auto;
+    color: #888888;
+}
+
+.dropzone.dragover {
+    color: #222222;
+    border-color: #222222;
+}
+
+/* font attributes are not inherited by default */
+input, input::file-selector-button {
+    text-align: inherit;
+    font-family: inherit;
+    font-size: inherit;
+}
+
+@media (min-aspect-ratio: 18/9) {
+    header {
+	flex-direction: row;
+    }
+    h1 { font-size: 3rem; margin-right: 10px; }
+    img#logo {
+	height: 50%;
+	max-height: 20vh;
+	order: 2;
+    }
+}
Index: trunk/example/static/partage.css
===================================================================
--- trunk/example/static/partage.css	(revision 57)
+++ 	(revision )
@@ -1,106 +1,0 @@
-body {
-	padding: 5%;
-	margin: auto;
-	max-width: 540px;
-	font-family: serif;
-	font-size: 1.5rem;
-	text-align: center;
-	background-color: #eeeeee;
-	color: #222222;
-}
-
-header {
-	display: flex;
-	flex-direction: column;
-	flex-wrap: wrap-reverse;
-	align-items: center;
-	align-content: center;
-}
-
-section {
-	display: flex;
-	justify-content: flex-end;
-	font-size: initial;
-}
-
-section#formsettings > * {
-	margin-top: 20px;
-	margin-left: 20px;
-}
-
-img#logo {
-	height: 100%;
-	max-height: 30vh;
-}
-
-h1 {
-	font-size: 4.0rem;
-}
-
-#uploads {
-	display: flex;
-	flex-direction: column;
-	align-items: center;
-	justify-content: center;
-}
-
-#uploads > ul {
-	list-style: none;
-	text-align: left;
-	padding: 0;
-}
-
-#uploads > button {
-	align-self: flex-end;
-	margin-right: 10%;
-}
-
-.dropzone {
-	padding-top: 60px;
-	padding-bottom: 60px;
-	border: 2px dashed #888888;
-	border-radius: 8px;
-	text-align: center;
-	margin: auto;
-	color: #888888;
-}
-
-.dropzone.dragover {
-	color: #222222;
-	border-color: #222222;
-}
-
-/* font attributes are not inherited by default */
-input, input::file-selector-button {
-	text-align: inherit;
-	font-family: inherit;
-	font-size: inherit;
-}
-
-@media (min-aspect-ratio: 18/9) {
-	header {
-		flex-direction: row;
-	}
-	h1 { font-size: 3rem; margin-right: 10px; }
-	img#logo {
-		height: 50%;
-		max-height: 20vh;
-		order: 2;
-	}
-}
-
-@media (prefers-color-scheme: light) {
-	a { color: black; }
-	body {
-		color: #222222;
-		background-color: #eeeeee;
-	}
-}
-
-@media (prefers-color-scheme: dark) {
-	a { color: white; }
-	body {
-		color: #eeeeee;
-		background-color: #222222;
-	}
-}
Index: trunk/example/templates/index.html
===================================================================
--- trunk/example/templates/index.html	(revision 57)
+++ trunk/example/templates/index.html	(revision 65)
@@ -1,42 +1,42 @@
 <!DOCTYPE HTML>
 <html>
-<head>
-	<meta charset="utf-8">
-	<meta name="author" content="z3bra">
-	<meta name="robots" content="noindex,nofollow" />
-	<meta name="viewport" content="width=device-width">
-	<link rel="stylesheet" type="text/css" href="/partage.css" />
-	<link rel="icon" type="image/ico" href="/favicon.ico" />
-	<title>Partage</title>
-</head>
-<body>
-	<header>
-		<img id="logo" src="/partage.png" />
-		<h1>partage</h1>
-	</header>
-	<form enctype="multipart/form-data" method="post">
-		<div id="dropzone"></div>
-		<div id="fallbackform" class="dropzone">
-			<input id="filebox" name="file" type="file" multiple/>
-			<input id="output" name="output" type="hidden" value='html' />
-			<input type="submit" value="Upload"/>
-		</div>
-		<section id="formsettings">
-			<label for="expiry"> Destroy after </label>
-			<select id="expiry" name="expiry">
-		                <option value="900"> 15 minutes </option>
-		                <option value="3600"> 1 hour </option>
-		                <option value="28800"> 8 hours </option>
-		                <option value="86400" selected> 1 day </option>
-		                <option value="604800"> 1 week </option>
-			</select>
-		</section>
-	</form>
-	<p>File size limited to {{.Maxsize}}.</p>
-	<div id="uploads">{{if .Links}}
-		<ul>
-	        {{range .Links}}<li><a href="{{.}}">{{.}}</a></li>{{end}}
-		</ul>
-        {{end}}</div>
-</body>
+  <head>
+    <meta charset="utf-8">
+    <meta name="author" content="z3bra, Izuru Yakumo">
+    <meta name="robots" content="noindex,nofollow" >
+    <meta name="viewport" content="width=device-width">
+    <link rel="stylesheet" type="text/css" href="/marisa_98.css" >
+    <link rel="icon" href="/marisa.png">
+    <title>Marisa</title>
+  </head>
+  <body>
+    <header>
+      <img id="logo" src="/marisa.png" >
+      <h1>marisa</h1>
+    </header>
+    <form enctype="multipart/form-data" method="post">
+      <div id="dropzone"></div>
+      <div id="fallbackform" class="dropzone">
+	<input id="filebox" name="file" type="file" multiple>
+	<input id="output" name="output" type="hidden" value='html' >
+	<input type="submit" value="Upload">
+      </div>
+      <section id="formsettings">
+	<label for="expiry"> Destroy after </label>
+	<select id="expiry" name="expiry">
+	  <option value="900"> 15 minutes </option>
+	  <option value="3600"> 1 hour </option>
+	  <option value="28800"> 8 hours </option>
+	  <option value="86400" selected> 1 day </option>
+	  <option value="604800"> 1 week </option>
+	</select>
+      </section>
+    </form>
+    <p>File size limited to {{.Maxsize}}.</p>
+    <div id="uploads">{{if .Links}}
+      <ul>
+	{{range .Links}}<li><a href="{{.}}">{{.}}</a></li>{{end}}
+      </ul>
+      {{end}}</div>
+  </body>
 </html>